﻿/*
 * button_switch123.c
 *
 * Created: 2013-01-25 오후 2:10:38
 200424 : SW3 추가
 *  Author: 강건일
 */ 

#include <avr/io.h>
#include <util/delay.h>
#include "button123.cpp"

#define  BTN_INPORT   PIND
#define  BTN_DDR      DDRD
static unsigned char psw = NO_BTN; //이전 버튼값

void BtnInit (void)
{
	BTN_DDR &= ~ (BTN_MASK) ;
}

unsigned char BtnInput (void)
{
	unsigned char sw, sw1;
	sw = ~BTN_INPORT & BTN_MASK;
	while (1)
	{
		//디바운싱 시간 지연
		_delay_ms(10);_delay_ms(10);_delay_ms(10);	
		sw1 = ~BTN_INPORT & BTN_MASK;  //한번더 읽는다.
		if(sw == sw1)
		break;
		sw = sw1;
	}
	
	if (sw == psw) return 0;
	psw =sw;
	return sw;
}


#define PRESS_THRESHOLD  16		

unsigned char BtnInput_Press(unsigned char *pressed)
{
	static unsigned char press_cnt=0;
	unsigned char sw,sw1;
	sw = ~BTN_INPORT & BTN_MASK;  //버튼 입력을 받는다.
	while(1)
	{
		_delay_ms(10); _delay_ms(10); _delay_ms(10);
		sw1 = ~BTN_INPORT & BTN_MASK;
		if(sw == sw1)
		break;
		sw = sw1;
	}
	*pressed = 0;
	if (sw == psw)
	{
		press_cnt++;
		if(press_cnt > PRESS_THRESHOLD)
		{
			if (sw != 0)
			{
				
				*pressed = 1;
				_delay_ms(10);    _delay_ms(10);
				_delay_ms(10);    _delay_ms(10);
				_delay_ms(10);    _delay_ms(10);
				_delay_ms(10);
			}
		}
		else
		{
			return 0;
		}
	}
	else
	{
		press_cnt = 0;
	}
	
	psw = sw;
	return sw;
}			
			
	

