﻿/*
 * button123.cpp
 * 버튼 입력 헤더 화일
 * Created: 2013-01-25 오후 2:13:58
 200424 : SW3, SW4  추가, PD3 이 LOW 일때 동작
 *  Author: 강건일
 */ 


#ifndef __BUTTON_H_
#define __BUTTON_H_
//입력 버튼 정의
//
#define  BTN_SW0    0x01  //sw0 누름
#define  BTN_SW1    0x02
#define  BTN_SW2    0x04
#define  BTN_SW3    0x08  //200424, PD3
#define  BTN_SW4    0b00010000  //200424, PD4

#define  NO_BTN     0x00
#define  BTN_MASK  (BTN_SW0 | BTN_SW1 | BTN_SW2 | BTN_SW3 | BTN_SW4)

//함수의 정의

void BtnInit (void);
unsigned char BtnInput (void);
unsigned char BtnInput_Press (unsigned char *pressed) ;

#endif